## Edit app details `client.Calls.SFU.Update(ctx, appID, params) (*SFUUpdateResponse, error)` **put** `/accounts/{account_id}/calls/apps/{app_id}` Edit details for a single app. ### Parameters - `appID string` A Cloudflare-generated unique identifier for a item. - `params SFUUpdateParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `Name param.Field[string]` Body param: A short description of Calls app, not shown to end users. ### Returns - `type SFUUpdateResponse struct{…}` - `Created Time` The date and time the item was created. - `Modified Time` The date and time the item was last modified. - `Name string` A short description of Calls app, not shown to end users. - `UID string` A Cloudflare-generated unique identifier for a item. ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/calls" "github.com/cloudflare/cloudflare-go/option" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) sfu, err := client.Calls.SFU.Update( context.TODO(), "2a95132c15732412d22c1476fa83f27a", calls.SFUUpdateParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", sfu.UID) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "created": "2014-01-02T02:20:00Z", "modified": "2014-01-02T02:20:00Z", "name": "production-realtime-app", "uid": "2a95132c15732412d22c1476fa83f27a" } } ```